Bug 195710 - Explicitly trigger compositing for layers that need to be moved by ScrollingTreePositionedNodes
Summary: Explicitly trigger compositing for layers that need to be moved by ScrollingT...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Scrolling (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-13 15:59 PDT by Simon Fraser (smfr)
Modified: 2019-03-20 12:57 PDT (History)
7 users (show)

See Also:


Attachments
Testcase that needs this (7.45 KB, text/html)
2019-03-13 19:50 PDT, Simon Fraser (smfr)
no flags Details
Simpler case (1005 bytes, text/html)
2019-03-13 20:10 PDT, Simon Fraser (smfr)
no flags Details
Patch (16.14 KB, patch)
2019-03-19 21:08 PDT, Simon Fraser (smfr)
zalan: review+
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (2.77 MB, application/zip)
2019-03-19 23:36 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (7.23 MB, application/zip)
2019-03-20 02:16 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2019-03-13 15:59:52 PDT
There may be cases where we haven't made a compositing layer for something that needs to be moved around by a positioned node, but maybe we've composited a descendant. We should probably do explicit compositing in some cases.
Comment 1 Radar WebKit Bug Importer 2019-03-13 16:00:12 PDT
<rdar://problem/48867502>
Comment 2 Simon Fraser (smfr) 2019-03-13 19:50:48 PDT
Created attachment 364611 [details]
Testcase that needs this
Comment 3 Simon Fraser (smfr) 2019-03-13 20:10:47 PDT
Created attachment 364616 [details]
Simpler case
Comment 4 Simon Fraser (smfr) 2019-03-19 21:08:37 PDT
Created attachment 365303 [details]
Patch
Comment 5 Build Bot 2019-03-19 23:36:40 PDT
Comment on attachment 365303 [details]
Patch

Attachment 365303 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11576335

New failing tests:
scrollingcoordinator/scrolling-tree/positioned-nodes.html
http/wpt/mediarecorder/MediaRecorder-AV-audio-video-dataavailable.html
Comment 6 Build Bot 2019-03-19 23:36:41 PDT
Created attachment 365321 [details]
Archive of layout-test-results from ews106 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 7 Build Bot 2019-03-20 02:16:36 PDT
Comment on attachment 365303 [details]
Patch

Attachment 365303 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11577245

New failing tests:
scrollingcoordinator/scrolling-tree/positioned-nodes.html
compositing/layer-creation/absolute-in-async-overflow-scroll.html
Comment 8 Build Bot 2019-03-20 02:16:38 PDT
Created attachment 365329 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 9 Simon Fraser (smfr) 2019-03-20 09:33:25 PDT
https://trac.webkit.org/r243209
Comment 10 Truitt Savell 2019-03-20 11:26:43 PDT
Looks like the new test compositing/layer-creation/absolute-in-async-overflow-scroll.html

from https://trac.webkit.org/changeset/243209/webkit

is failing. History:
http://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=compositing%2Flayer-creation%2Fabsolute-in-async-overflow-scroll.html

Diff:
--- /Volumes/Data/slave/highsierra-release-tests-wk2/build/layout-test-results/compositing/layer-creation/absolute-in-async-overflow-scroll-expected.txt
+++ /Volumes/Data/slave/highsierra-release-tests-wk2/build/layout-test-results/compositing/layer-creation/absolute-in-async-overflow-scroll-actual.txt
@@ -16,12 +16,12 @@
             (GraphicsLayer
               (offsetFromRenderer width=1 height=1)
               (position 1.00 1.00)
-              (bounds 200.00 200.00)
+              (bounds 185.00 185.00)
               (children 1
                 (GraphicsLayer
                   (offsetFromRenderer width=1 height=1)
                   (anchor 0.00 0.00)
-                  (bounds 200.00 840.00)
+                  (bounds 185.00 841.00)
                   (drawsContent 1)
                   (children 1
                     (GraphicsLayer
Comment 11 Simon Fraser (smfr) 2019-03-20 12:57:30 PDT
Fixed in https://trac.webkit.org/r243228